<?php
	include("stilos/config.inc.php");
	include("../clases/BDConexion.php");
  include("../clases/clsPer.php");
  include("funcion/funciones.php");
  include("Funciones.php");
  session_start();
  $objPer=new clsPer;
  
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><MMString:LoadString id="insertbar/formsHidden" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="style.css" rel="stylesheet" type="text/css">

<link href="Estilos.css" rel="stylesheet" type="text/css">

<link href="stilos/Estilos.css" rel="stylesheet" type="text/css">
<SCRIPT language=JavaScript src="js/calendario.js"></SCRIPT>
<!-- Copyright 2000,2001 Macromedia, Inc. All rights reserved. -->
<script language="JavaScript"> 
<!--
function Abrir_Ventanapopup1(sURL,x,y) {
if (!window.focus) return;
			var par;
			par = "width=" +x + ",height="+y+","
			par = par + "dependent=no,scrollbars=yes,resizable=yes"
			par = par + "menubar=no,toolbar=no,status=no"
			var ventana = window.open(sURL,"Ver",par)
			ventana.focus();
}
//--> 
</script>

</head>

<body background="../imagenes/fondo.jpg">
<table width="740" border="0" align="center" cellpadding="0" cellspacing="0" >
  <tr valign="top" >
    <td height="25" colspan="4">
    <div align="left" ></div></td>
  </tr>
  <tr class="lblCampo" >
    <td colspan="4"><div align="center">
        <table width="730" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="25"><img src="../estilo_tabla/parte_sup_izq.gif" width="25" height="25"></td>
            <td width="680" background="../estilo_tabla/parte_sup_cen.gif" valign="bottom">
			<div align="left" class="lblTitulo" >Ubicacion de Personal </div>			</td>
            <td width="25"><img src="../estilo_tabla/parte_sup_der.gif" width="25" height="25" border="0" usemap="#Map"></td>
          </tr>
          <tr>
            <td width="25" background="../estilo_tabla/parte_med_izq.gif">&nbsp;</td>
            <td width="680" height="86" background="../estilo_tabla/parte_med_cen.gif"><div align="center">
              <table width="679" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td height="15" colspan="4"><div align="center"></div></td>
                </tr>
                <tr>
				<form action="cvp_ubicacion_per.php?tipo=<? echo $tipo?>&des=<? echo $des?>&k=2" method="post" name="form1" >
                  <td height="15" colspan="2">
				  
				    <div align="left" class="lblCampo">
				      <div align="left">Buscar Por : 
				            <select name="tipo" id="tipo">
                              <option value="todos" <? if($tipo=="todos"){?> selected <? }?>>Todos</option>
                              <option value="appat_per" <? if($tipo=="appat_per"){?> selected <? }?>>Apellidos</option>
                              <option value="dociden_per" <? if($tipo=="dociden_per"){?> selected <? }?>>Doc. Identidad</option>
                            </select>
				            <input name="des" type="text" id="des" value="<? echo $des?>" size="25" maxlength="25" > 
				        Fecha</div>
				    </div>				  </td>
				  <td width="118" height="15"><div align="left">
				    <table width="102" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="67"><div align="left">
                          <input name="fecha" type="text" id="fecha" value="<? echo $fecha?>" size="12" maxlength="10" title="FORMATO dd/mm/AA">
</div></td>
                        <td width="10">&nbsp;</td>
                        <td width="109"><div align="left"> 
						<a onMouseOver="window.status='Calendario';return true;" onMouseOut="window.status='';return true;"  href="javascript:show_calendar('form1.fecha');"> <img src="../imagenes/calendar.jpg" alt="Calendario" width="16" height="15" border="0"> 
						</a> 
						</div></td>
                      </tr>
                    </table>
				    <span class="lblForm">
				    </span></div></td>
				  <td width="214"><div align="left"><span class="lblForm">
				      <input type="submit" name="Submit" value="Buscar" style="<?=$stylo['st2']?>" class="botira">
				    </span></div></td>
				</form>
                </tr>
                <tr>
                  <td colspan="4"><div align="center">
                    <table width="640" border="1" cellpadding="0" cellspacing="0" style="<?=$stylo['tabla']?>" bgcolor="<?=$c_fondo['fondo tabla']?>" bordercolor="<?=$bordetabla?>">
                      <tr valign="top" class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
                        <td width="117"><div align="center">Doc/Iden.</div></td>
                        <td width="142"><div align="left">Apellidos</div></td>
                        <td width="179"><div align="left">Nombres</div></td>
                        <td width="117">
						  <div align="center">Empresa</div></td>
                        <td><div align="center">
						
						</div></td>
                      </tr>
                      <? 		
					  if($des!=""){		   
				    $registros = 30;
					$pagina = $_GET["pagina"];
					
					if (!$pagina) { 
						$inicio = 0; 
						$pagina = 1; 
					}else { 
						$inicio = ($pagina - 1) * $registros; 
					} 
					
					if($tipo=="todos"){
						$mes=date("m");	
						$anio=date("Y");
						/*$mes=extraermes($fecha);
						$anio=extraeranio($fecha);*/				
						$resultado=$objPer->getPerTodosPag($inicio,$registros);						
					}elseif($tipo=="appat_per"){
						$mes=extraermes($fecha);
						$anio=extraeranio($fecha);
						$resultado=$objPer->getPerApePag($des,$tipo,$mes,$anio,$inicio,$registros);
					}else{
						$mes=extraermes($fecha);
						$anio=extraeranio($fecha);
						$resultado=$objPer->getPerApePagDoc($des,$tipo,$mes,$anio,$inicio,$registros);
					}
					
					if($tipo=="todos"){
						$mes=date("m");	
						$anio=date("Y");
						/*$mes=extraermes($fecha);
						$anio=extraeranio($fecha);*/
						$resultadot=$objPer->getPerTodosT();
					}elseif($tipo=="appat_per"){
						$mes=extraermes($fecha);
						$anio=extraeranio($fecha);
						$resultadot=$objPer->getPerApeT($des,$tipo,$mes,$anio);
					}else{
						$mes=extraermes($fecha);
						$anio=extraeranio($fecha);
						$resultadot=$objPer->getPerApeTDoc($des,$tipo,$mes,$anio);
					}		
								
					$total_registros=$objPer->totalrows($resultadot);
				    $total_paginas = ceil($total_registros / $registros); 		  			

				  if($total_registros) {
                  while($filas=$objPer->NextRow($resultado))
                   {
				   ?>
                      <tr valign="top" class="lblForm" >
                        <td class="lblForm">
                          <div align="center">
						  <? echo $filas['dociden_per']; ?>  
						  </div>
						</td>
                        <td class="lblForm"><div align="left"><?php echo strtoupper($filas['appat_per']); ?> <?php echo strtoupper($filas['apmat_per']); ?></div></td>
                        <td class="lblForm"><div align="left"><?php echo strtoupper($filas['nom_per']); ?></div></td>
                        <td class="lblForm">						
						  <div align="center"><?php echo $filas['razon_emp']; ?>
                          </div>						 </td>
                        <td width="73">
						<div align="center">
						  <a href="cvp_ubicacion_per_ver.php?tipo=<? echo $tipo?>&dociden_per=<? echo $filas['dociden_per']?>&mes1=<? echo $mes?>&anio=<? echo $anio?>&appat_per=<? echo $filas['appat_per']?>&apmat_per=<? echo $filas['apmat_per']?>&nom_per=<? echo $filas['nom_per']?>&des=<? echo $des?>&fecha=<? echo $fecha?>">
						  <img src="../imagenes/btn_ver.gif" alt="ver contenido" width="15" height="15" border="0"> 
						  </a>
						 
						</div>
						</td>
                      </tr>
                      <? 
			}
			$objPer->Liberar($resultado); 
			} 
			}
			?> 
			</table>
			 </div>
			 </td>
                </tr>				
                <tr>
                  <td colspan="4"><div align="left"><span class="lblForm"></span></div></td>
                </tr>
                <tr>
                  <td width="240">
				    <div align="left">Pagina
					<? echo ($pagina);?> de <? echo $total_paginas;?>					
                    </div></td>
                  <td width="107"><div align="center">
                  </div></td>
                  <td colspan="2"><div align="right">Total de Registros <? echo $total_registros?></div></td>
                </tr>				  
                 <tr>
                   <td colspan="4"><div align="center">
                     <? 
	   if($des!=""){
	   if($total_registros) {
		
		echo "<center>";
		
		if(($pagina - 1) > 0) {
			echo "<a href='cvp_cons_per.php?pagina=".($pagina-1)."&tipo=$tipo&des=$des'>< Anterior</a> ";
		}
		
		for ($i=1; $i<=$total_paginas; $i++){ 
			if ($pagina == $i) {
				echo "<b>".$pagina."</b> "; 
			} else {
				echo "<a href='cvp_cons_per.php?pagina=$i&tipo=$tipo&des=$des'>$i</a> "; 
			}	
		}
	  
		if(($pagina + 1)<=$total_paginas) {
			echo " <a href='cvp_cons_per.php?pagina=".($pagina+1)."&tipo=$tipo&des=$des'>Siguiente ></a>";
		}
		
		echo "</center>";
		
	}
	}
	?>
                   </div></td>
                 </tr>
                 <tr>
				
                  <td colspan="4"><div align="center">
				  
		<div align="center">	        </div>
		
				  </div></td>
				   
                </tr>
              </table>
            </div></td>
            <td background="../estilo_tabla/parte_med_der.gif">&nbsp;</td>
          </tr>
          <tr>
            <td><img src="../estilo_tabla/parte_inf_izq.gif" width="25" height="20"></td>
            <td background="../estilo_tabla/parte_inf_cen.gif">&nbsp;</td>
            <td><img src="../estilo_tabla/parte_inf_der.gif" width="25" height="20"></td>
          </tr>
        </table>
    </div></td>
  </tr>
  <tr valign="top" class="lblCampo" >
    <td colspan="4">
      <div align="center"> </div></td>
  </tr>
</table>

<map name="Map">
  <area shape="rect" coords="2,5,22,21" href="fondo.php">
</map>
</body>

</html>

